"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractView = void 0;
class AbstractView {
    /**
     * @param model data model this view represents and listens to
     */
    constructor(model) {
        this.model = model;
        model.addListener(this);
    }
    /**
     * Updates the data model that this view represents
     * @param newModel updated data model
     */
    setModel(newModel) {
        this.model.removeListener(this);
        this.model = newModel;
        this.model.addListener(this);
    }
    invalidated(model) { }
    errors(errors) { }
}
exports.AbstractView = AbstractView;
