import { DataModel, ModelListener } from '../model/DataModel';
declare type SourceViewOptions = {
    indentation?: number | string;
    rows?: number;
};
/**
 * JSON representation view of the model.
 * Renders the result in a <textarea>.
 */
export declare class SourceView implements ModelListener {
    options?: SourceViewOptions;
    target: HTMLTextAreaElement;
    model: DataModel;
    /**
     * @param model data model this view represents and listens to
     * @param target DOM element to render the view
     * @param options optional options for the view
     */
    constructor(model: DataModel, target: HTMLTextAreaElement, options?: SourceViewOptions);
    invalidated(): void;
    updateModel(): void;
}
export {};
